POST /v1/auth/me/password

Tags: auth

Parameters

NameInTypeRequiredDescription
Idempotency-Keyheaderstring,nullOptional idempotency token; replays return cached response.

Request body

Required.

JSON
{
  "$ref": "#/components/schemas/ChangePasswordRequest"
}

Responses

204 — Password updated; all sibling sessions + refresh chains revoked

400 — INVALID_REQUEST — new password too short

401 — UNAUTHENTICATED — current_password mismatch or unauthenticated

Code samples

TypeScript

TypeScript
import { firecase } from "@firecase/sdk";

const result = await firecase.post("/auth/me/password", { /* body */ });
console.log(result);

Python

Python
import firecase

result = firecase.post("/auth/me/password", json={})
print(result)

curl

Bash
curl -X POST https://api.firecase.ai/v1/auth/me/password \
  -H "Authorization: Bearer $FIRECASE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'